# Third Party Libraries Support

## react-native-vector-icons

If you would like to use [react-native-vector-icons](https://github.com/oblador/react-native-vector-icons) for your Toolbar icons, you can follow [this example](https://github.com/wix/react-native-navigation/issues/43#issuecomment-223907515) or [this](https://gist.github.com/dropfen/4a2209d7274788027f782e8655be198f) gist.

## Redux
Redux can be easily integrated with RNN, follow this great [blog post](https://medium.com/react-native-training/explanation-of-react-native-navigation-wix-with-redux-deabcee8edfc) for instructions.

## Mobx
If you prefer Mobx over Redux, show your interest in this [thread](https://github.com/wix/react-native-navigation/issues/187). Also checkout @mastermoo's [POC](https://github.com/mastermoo/navigation-mobx-example) of using navigation with Mobx. 

### MobX (w/ Provider) boilerplate
Check out [this link](https://github.com/kanzitelli/react-native-navigation-mobx-boilerplate) to find a small boilerplate for RNN + MobX (w/ Provider).

### redux-persist
Boilerplate for integrating redux-persist can be found [here](https://stackoverflow.com/questions/47732500/react-native-navigation-and-redux-persist).

### Splash Screen Tutorial
A detail tutorial about how to correctly implement Splash Screen with RNN: [Article Link](https://medium.com/@pqkluan/how-to-implement-splash-screen-in-react-native-navigation-ee2184a1a96).
Note: The article use third-party tool name RN-Toolbox (optional) to generate Splash Screen assets.